package com.ruoyi.generator.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import java.util.List;

/**
 * 代码片段管理对象 sys_code_snippet
 * 
 * @author ruoyi
 * @date 2025-05-09
 */
public class SysCodeSnippet extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 代码片段id */
    private Long snippetId;

    /** 功能模块id */
    @Excel(name = "功能模块id")
    private Long moduleId;

    /** 代码片段内容 */
    @Excel(name = "代码片段内容")
    private String snippetContent;

    /** 插入点 */
    @Excel(name = "插入点")
    private String insertPoint;

    /** 参数1 */
    @Excel(name = "参数1")
    private String param1;

    /** 参数2 */
    @Excel(name = "参数2")
    private String param2;

    /** 参数3 */
    @Excel(name = "参数3")
    private String param3;

    /** 参数4 */
    @Excel(name = "参数4")
    private String param4;

    /** 参数5 */
    @Excel(name = "参数5")
    private String param5;

    /** 模板文件名称 */
    @Excel(name = "模板文件名称")
    private String templateFileName;

    /** 关联表名称 */
    @Excel(name = "关联表名称")
    private String relationTableName;

    /** 状态（0正常 1停用） */
    @Excel(name = "状态", readConverterExp = "0=正常,1=停用")
    private String status;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 关联模块ID列表 */
    private List<Long> moduleIds;

    public void setSnippetId(Long snippetId) 
    {
        this.snippetId = snippetId;
    }

    public Long getSnippetId() 
    {
        return snippetId;
    }
    public void setModuleId(Long moduleId) 
    {
        this.moduleId = moduleId;
    }

    public Long getModuleId() 
    {
        return moduleId;
    }
    public void setSnippetContent(String snippetContent) 
    {
        this.snippetContent = snippetContent;
    }

    public String getSnippetContent() 
    {
        return snippetContent;
    }
    public void setInsertPoint(String insertPoint) 
    {
        this.insertPoint = insertPoint;
    }

    public String getInsertPoint() 
    {
        return insertPoint;
    }
    public void setParam1(String param1) 
    {
        this.param1 = param1;
    }

    public String getParam1() 
    {
        return param1;
    }
    public void setParam2(String param2) 
    {
        this.param2 = param2;
    }

    public String getParam2() 
    {
        return param2;
    }
    public void setParam3(String param3) 
    {
        this.param3 = param3;
    }

    public String getParam3() 
    {
        return param3;
    }
    public void setParam4(String param4) 
    {
        this.param4 = param4;
    }

    public String getParam4() 
    {
        return param4;
    }
    public void setParam5(String param5) 
    {
        this.param5 = param5;
    }

    public String getParam5() 
    {
        return param5;
    }

    public void setTemplateFileName(String templateFileName)
    {
        this.templateFileName = templateFileName;
    }

    public String getTemplateFileName()
    {
        return templateFileName;
    }

    public void setRelationTableName(String relationTableName)
    {
        this.relationTableName = relationTableName;
    }

    public String getRelationTableName()
    {
        return relationTableName;
    }

    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    public List<Long> getModuleIds() {
        return moduleIds;
    }

    public void setModuleIds(List<Long> moduleIds) {
        this.moduleIds = moduleIds;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("snippetId", getSnippetId())
            .append("moduleId", getModuleId())
            .append("snippetContent", getSnippetContent())
            .append("insertPoint", getInsertPoint())
            .append("param1", getParam1())
            .append("param2", getParam2())
            .append("param3", getParam3())
            .append("param4", getParam4())
            .append("param5", getParam5())
            .append("templateFileName", getTemplateFileName())
            .append("relationTableName", getRelationTableName())
            .append("status", getStatus())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
